/* Name: main.h
 * Project: Sun_chargeV2.1
 * Author: Sergey Merkulov <merk71@rambler.ru>
 * Creation Date: 2014-20-01
 * Tabsize: 4
 * Copyright: (c) 2014 by Sergey Merkulov, all rights reserved.
 * License: GNU GPL v3 (see COPYING.txt) 
 *
 * This file is part of Sun_charge.
 *
 *   Sun_charge is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   Sun_charge is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Sun_charge.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */
# ifndef MAIN_H
# define MAIN_H



volatile uint8_t MeasureFlag, TrackerMode,ChargeMode;

enum{OFF_CURRENT=1,STOP_TRACKER=2,WORK_TRACKER=0};
enum {SET=1,RESET=0};
enum{CHARGE_ON,CHARGE_OFF};

struct inputADC {
				int16_t PhoneCurrentFeedback;
				int16_t PhoneVoltageFeedback;
				int16_t AccumCurrent;
				int16_t JumperVoltage;
				int16_t AccumVoltage;
				int16_t SourceVoltage;
				int16_t Temperature;
				
				} data;



	

#endif